Class | ActionController::Caching::Actions::ActionCachePath
In: | lib/action_controller/caching/actions.rb
Parent: | Object

### Methods

new path_for

### Attributes

extension | [R] |
path | [R] |

### Public Class methods

new(controller, options = {}, infer_extension = true)

When true, infer_extension will look up the cache path extension from the request‘s path & format. This is desirable when reading and writing the cache, but not when expiring the cache - expire_action should expire the same files regardless of the request format.

path_for(controller, options, infer_extension = true)

[Validate]